import type { Query } from "history";
import type { Parameter, ParameterId } from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api";
export declare function getParameterValueFromQueryParams(parameter: Parameter, queryParams: Query, lastUsedParametersValues?: Record<ParameterId, unknown>): any;
export declare function parseParameterValue(value: any, parameter: Parameter): any;
export declare function getParameterValuesByIdFromQueryParams(parameters: Parameter[], queryParams: Query, lastUsedParametersValues?: Record<ParameterId, unknown>): {
    [k: string]: any;
};
